<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::afml::Channel::State Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html">afml</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a></li><li class="navelem"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html">State</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::afml::Channel::State Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_channel_8h_source.html">Channel.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab6b95a562dc6dfd7e6e899c4046d19b8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html#ab6b95a562dc6dfd7e6e899c4046d19b8">State</a> (const std::string &amp;<a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html#a6ce3f6059210ddd76de60fb75c858ed7">name</a>)</td></tr>
<tr class="memdesc:ab6b95a562dc6dfd7e6e899c4046d19b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor with <code><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a></code> name as the parameter.  <a href="#ab6b95a562dc6dfd7e6e899c4046d19b8">More...</a><br /></td></tr>
<tr class="separator:ab6b95a562dc6dfd7e6e899c4046d19b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ca55eade0ce9e23d21120e726e24120"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html#a4ca55eade0ce9e23d21120e726e24120">State</a> ()</td></tr>
<tr class="memdesc:a4ca55eade0ce9e23d21120e726e24120"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a4ca55eade0ce9e23d21120e726e24120">More...</a><br /></td></tr>
<tr class="separator:a4ca55eade0ce9e23d21120e726e24120"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a6ce3f6059210ddd76de60fb75c858ed7"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html#a6ce3f6059210ddd76de60fb75c858ed7">name</a></td></tr>
<tr class="separator:a6ce3f6059210ddd76de60fb75c858ed7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f4d4a388750d585d2f458db400d2e9e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">avsCommon::avs::FocusState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html#a0f4d4a388750d585d2f458db400d2e9e">focusState</a></td></tr>
<tr class="memdesc:a0f4d4a388750d585d2f458db400d2e9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current Focus of the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>.  <a href="#a0f4d4a388750d585d2f458db400d2e9e">More...</a><br /></td></tr>
<tr class="separator:a0f4d4a388750d585d2f458db400d2e9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae86f548f1c772066eaa50d10321f7e8e"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html#ae86f548f1c772066eaa50d10321f7e8e">interfaceName</a></td></tr>
<tr class="memdesc:ae86f548f1c772066eaa50d10321f7e8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the AVS interface that is occupying the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>.  <a href="#ae86f548f1c772066eaa50d10321f7e8e">More...</a><br /></td></tr>
<tr class="separator:ae86f548f1c772066eaa50d10321f7e8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fdfc29dce285d717ed678ece07cd8de"><td class="memItemLeft" align="right" valign="top">std::chrono::steady_clock::time_point&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html#a8fdfc29dce285d717ed678ece07cd8de">timeAtIdle</a></td></tr>
<tr class="memdesc:a8fdfc29dce285d717ed678ece07cd8de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time at which the channel goes to NONE focus.  <a href="#a8fdfc29dce285d717ed678ece07cd8de">More...</a><br /></td></tr>
<tr class="separator:a8fdfc29dce285d717ed678ece07cd8de"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab6b95a562dc6dfd7e6e899c4046d19b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6b95a562dc6dfd7e6e899c4046d19b8">&#9670;&nbsp;</a></span>State() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::afml::Channel::State::State </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor with <code><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a></code> name as the parameter. </p>

</div>
</div>
<a id="a4ca55eade0ce9e23d21120e726e24120"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ca55eade0ce9e23d21120e726e24120">&#9670;&nbsp;</a></span>State() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::afml::Channel::State::State </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a0f4d4a388750d585d2f458db400d2e9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f4d4a388750d585d2f458db400d2e9e">&#9670;&nbsp;</a></span>focusState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">avsCommon::avs::FocusState</a> alexaClientSDK::afml::Channel::State::focusState</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current Focus of the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>. </p>

</div>
</div>
<a id="ae86f548f1c772066eaa50d10321f7e8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae86f548f1c772066eaa50d10321f7e8e">&#9670;&nbsp;</a></span>interfaceName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::afml::Channel::State::interfaceName</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The name of the AVS interface that is occupying the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>. </p>

</div>
</div>
<a id="a6ce3f6059210ddd76de60fb75c858ed7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ce3f6059210ddd76de60fb75c858ed7">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::afml::Channel::State::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8fdfc29dce285d717ed678ece07cd8de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fdfc29dce285d717ed678ece07cd8de">&#9670;&nbsp;</a></span>timeAtIdle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::chrono::steady_clock::time_point alexaClientSDK::afml::Channel::State::timeAtIdle</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Time at which the channel goes to NONE focus. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/AFML/include/AFML/<a class="el" href="_channel_8h_source.html">Channel.h</a></li>
<li>/workplace/avs-device-sdk/AFML/src/<a class="el" href="_channel_8cpp.html">Channel.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
